## com.lowagie.text
Class GreekList

    java.lang.Object
      com.lowagie.text.List
          com.lowagie.text.GreekList

All Implemented Interfaces:
  Element, MarkupAttributes, TextElementArray

public class GreekList
extends List

A special-version of `LIST` whitch use greek-letters.

Version:
  2003-06-22
Author:
  Michael Niedermair
See Also:
  `List`

Field Summary
`protected boolean` `greeklower` UpperCase or LowerCase

Fields inherited from class com.lowagie.text.List
`ALPHABETICAL, first, firstCh, indentationLeft, indentationRight, lastCh, lettered, list, markupAttributes, numbered, NUMBERICAL, ORDERED, symbol, symbolIndent, UNORDERED`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, GRAPHIC, HEADER, IMGRAW, IMGTEMPLATE, JPEG, KEYWORDS, LIST, LISTITEM, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`GreekList(boolean greeklower, int symbolIndent)` Initialisierung
`GreekList(int symbolIndent)` Initialisierung

Method Summary
`boolean` `add(Object o)` Adds an `Object` to the `List`.
`boolean` `isGreekLower()` Checks if the list is greek-letter with lowercase
`protected void` `setGreekFont()` change the font to SYMBOL
`void` `setGreekLower(boolean greeklower)` set the greek-letters to lowercase otherwise to uppercase

Methods inherited from class com.lowagie.text.List
`first, getChunks, getItems, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, indentationLeft, indentationRight, isNumbered, isSymbol, isTag, leading, process, setFirst, setFirst, setIndentationLeft, setIndentationRight, setListSymbol, setListSymbol, setMarkupAttribute, setMarkupAttributes, size, symbol, symbolIndent, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### greeklower

    protected boolean greeklower

  UpperCase or LowerCase

Constructor Detail

### GreekList

    public GreekList(int symbolIndent)

  Initialisierung

Parameters:
  `symbolIndent` - indent

### GreekList

    public GreekList(boolean greeklower,
                     int symbolIndent)

  Initialisierung

Parameters:
  `greeklower` - greek-char in lowercase
  `symbolIndent` - indent

Method Detail

### setGreekFont

    protected void setGreekFont()

  change the font to SYMBOL

### setGreekLower

    public void setGreekLower(boolean greeklower)

  set the greek-letters to lowercase otherwise to uppercase

  Parameters:
    `greeklower` -

### isGreekLower

    public boolean isGreekLower()

  Checks if the list is greek-letter with lowercase

  Returns:
    `true` if the greek-letter is lowercase, `false` otherwise.

### add

    public boolean add(Object o)

  Adds an `Object` to the `List`.

  Specified by:
    `add` in interface `TextElementArray`
  Overrides:
    `add` in class `List`
  Parameters:
    `o` - the object to add.
  Returns:
    true if adding the object succeeded